Kling Motion
curl --request POST \
--url https://api.acedata.cloud/kling/motion \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg",
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"character_orientation": "image",
"mode": "std"
}
'import requests
url = "https://api.acedata.cloud/kling/motion"
payload = {
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg",
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"character_orientation": "image",
"mode": "std"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image_url: 'https://cdn.acedata.cloud/4hfydw.jpg',
video_url: 'https://cdn.acedata.cloud/634d760216.mp4',
character_orientation: 'image',
mode: 'std'
})
};
fetch('https://api.acedata.cloud/kling/motion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"video_id": "842566592663294013",
"video_url": "https://platform2.cdn.acedata.cloud/kling/6c68c267-065b-4423-b66b-a0e4c59ee0d5.mp4",
"duration": "5.066",
"state": "succeed",
"task_id": "307c3359-f68a-44e1-bd3b-c5d5a2a2ca0a"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"success": false,
"error": {
"code": "bad_gateway",
"message": "服务依赖返回了无法解析的响应。"
},
"trace_id": "<string>",
"task_id": "<string>",
"started_at": 123
}{
"success": false,
"error": {
"code": "service_unavailable",
"message": "服务暂时不可用,请稍后重试。"
},
"trace_id": "<string>",
"task_id": "<string>",
"started_at": 123
}{
"success": false,
"error": {
"code": "timeout",
"message": "任务处理超时。"
},
"trace_id": "<string>",
"task_id": "<string>",
"started_at": 123
}API Reference
Kling Motion
POST
/
kling
/
motion
Kling Motion
curl --request POST \
--url https://api.acedata.cloud/kling/motion \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg",
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"character_orientation": "image",
"mode": "std"
}
'import requests
url = "https://api.acedata.cloud/kling/motion"
payload = {
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg",
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"character_orientation": "image",
"mode": "std"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image_url: 'https://cdn.acedata.cloud/4hfydw.jpg',
video_url: 'https://cdn.acedata.cloud/634d760216.mp4',
character_orientation: 'image',
mode: 'std'
})
};
fetch('https://api.acedata.cloud/kling/motion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"video_id": "842566592663294013",
"video_url": "https://platform2.cdn.acedata.cloud/kling/6c68c267-065b-4423-b66b-a0e4c59ee0d5.mp4",
"duration": "5.066",
"state": "succeed",
"task_id": "307c3359-f68a-44e1-bd3b-c5d5a2a2ca0a"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"success": false,
"error": {
"code": "bad_gateway",
"message": "服务依赖返回了无法解析的响应。"
},
"trace_id": "<string>",
"task_id": "<string>",
"started_at": 123
}{
"success": false,
"error": {
"code": "service_unavailable",
"message": "服务暂时不可用,请稍后重试。"
},
"trace_id": "<string>",
"task_id": "<string>",
"started_at": 123
}{
"success": false,
"error": {
"code": "timeout",
"message": "任务处理超时。"
},
"trace_id": "<string>",
"task_id": "<string>",
"started_at": 123
}인증
API token from https://platform.acedata.cloud
헤더
Kling Motion Param Accept
사용 가능한 옵션:
application/json 본문
application/json
Kling Motion Mode
사용 가능한 옵션:
std, pro Kling Motion Image Url
Kling Motion Video Url
Kling Motion Character Orientation
사용 가능한 옵션:
image, video Kling Motion Model Name
사용 가능한 옵션:
kling-v2-6, kling-v3 Kling Motion Keep Original Sound
사용 가능한 옵션:
yes, no Kling Motion Watermark Info
Show child attributes
Show child attributes
Kling Motion Prompt
예시:
"White ceramic coffee mug on glossy marble countertop with morning window light. Camera slowly rotates 360 degrees around the mug, pausing briefly at the handle."
Kling Motion Callback Url
Kling Motion Async

